﻿namespace Exam.Infrastructure.Data.Attributes
{
    /// <summary>
    /// 实体映射属性
    /// </summary>
    [AttributeUsage(AttributeTargets.Class)]
    public class EntityMapperAttribute:Attribute
    {
        private readonly string _entityName;
        public string EntityName
        {
            get
            {
                return _entityName;
            }
        }

        public EntityMapperAttribute(string entityName)
        {
            _entityName = entityName;
        }
    }
}
