﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Exam.Share
{
    /// <summary>
    /// 题型分数
    /// </summary>
    [Description("题型分数")]
    public class ExamQuestionScoreDto:ActionRequest
    {
        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public int Type { get; set; }

        /// <summary>
        /// 试题分数
        /// </summary>
        [Description("试题分数")]
        public int Score { get; set; }

        /// <summary>
        /// 考试管理Id
        /// </summary>
        [Description("考试管理Id")]
        public string ExamManageId { get; set; }
    }
}
