﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Questions
{
    /// <summary>
    /// 试题参考答案
    /// </summary>
    [Description("试题参考答案")]
    public class QuestionAnswerDto:ActionRequest
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [Description("答案")]
        public string? Answer { get; set; }
    }
}
