﻿using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.TestPapers
{
    /// <summary>
    /// 试卷规则
    /// </summary>
    [Description("试卷规则")]
    public class TestPaperRuleDto : ActionRequest
    {
        /// <summary>
        /// 试卷Id
        /// </summary>
        [Description("试卷Id")]
        public string TestPaperId { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [Description("试题类型")]
        public int Type { get; set; }

        /// <summary>
        /// 试题难度
        /// </summary>
        [Description("试题难度")]
        public int DifficultyLevel { get; set; }

        /// <summary>
        /// 试题数量
        /// </summary>
        [Description("试题数量")]
        public int Count { get; set; }
    }
}
