﻿using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Exam.Practices
{
    /// <summary>
    /// 练习答案
    /// </summary>
    [Description("练习答案")]
    public class PracticeAnswer:BusinessEntity
    {
        /// <summary>
        /// 练习试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="练习试题Id")]
        [Description("练习试题Id")]
        public string PracticeQuestionId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [SugarColumn(ColumnDescription ="答案")]
        [Description("答案")]
        public string? Answer { get; set; }

        /// <summary>
        /// 试题选项
        /// </summary>
        [SugarColumn(ColumnDescription = "试题选项")]
        [Description("试题选项")]
        public string? QuestionOptionId { get; set; }
    }
}
